#include <iostream>
using namespace std;
int main()
{
 int i,n,k,p,l,br,m,q,x;
 cin>>n;
 q=n;
 br=0;
 while(n>0){
     m++;
     n/=10;
}
x=m;
int niz[x];
for(i=x-1;i>=0;i--){
    niz[i]=q%10;
    q/=10;
    for(k=0;k<x;k++){
        if(niz[k]==niz[i]){
            for(l=k-1;l>i;l--){
                if(niz[l]!=niz[k]){
                    br++;
                }
           }
        }
        else{
            br==1;
        }
    }
}
cout<<br;
return 0;
}